RedCrawler API
Search V1

Search Users V1

Search for Reddit users by keyword. Returns matching user profiles with karma, account age, and avatar.

GET /api/v1/discover/profiles

Search for Reddit users by keyword. Returns matching user profiles with karma, account age, and avatar.

Query parameters

NameTypeRequiredDescription
querystringYesSearch keyword.
limitnumberNoNumber of results (1-250). Default: 25.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/discover/profiles?query=programming&limit=25" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/discover/profiles?query=programming&limit=25", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/discover/profiles?query=programming&limit=25"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "users": [
      {
        "is_employee": false,
        "icon_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "name": "programming_bassist",
        "is_friend": false,
        "created": 1439831321.0,
        "hide_from_robots": false,
        "snoovatar_size": null,
        "created_utc": 1439831321.0,
        "snoovatar_img": "",
        "subreddit": {
          "default_set": true,
          "banner_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
          "allowed_media_in_comments": [],
          "user_is_banned": null,
          "free_form_reports": true,
          "community_icon": null,
          "show_media": true,
          "description": "",
          "user_is_muted": null,
          "display_name": "u_programming_bassist",
          "header_img": null,
          "title": "",
          "previous_names": [],
          "user_is_moderator": null,
          "over_18": false,
          "icon_size": [
            256,
            256
          ],
          "primary_color": "",
          "icon_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
          "icon_color": "",
          "submit_link_label": "",
          "header_size": null,
          "restrict_posting": true,
          "restrict_commenting": false,
          "subscribers": 0,
          "submit_text_label": "",
          "is_default_icon": false,
          "link_flair_position": "",
          "display_name_prefixed": "u/programming_bassist",
          "key_color": "",
          "name": "t5_examples",
          "is_default_banner": false,
          "url": "/user/programming_bassist/",
          "quarantine": false,
          "banner_size": [
            1280,
            384
          ],
          "user_is_contributor": null,
          "accept_followers": true,
          "public_description": "",
          "link_flair_enabled": false,
          "disable_contributor_requests": false,
          "subreddit_type": "user",
          "user_is_subscriber": null
        },
        "verified": true,
        "comment_karma": 3160,
        "accept_followers": true,
        "is_gold": false,
        "is_mod": false,
        "has_subscribed": true,
        "link_karma": 2209,
        "has_verified_email": true,
        "id": "pmlju",
        "is_blocked": false
      },
      {
        "is_suspended": true,
        "is_blocked": false,
        "name": "programming_student2"
      },
      "\u2026 (23 more items)"
    ],
    "cursor": "t2_exampleu",
    "count": 25
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:23.570625+00:00"
}

On this page